import { defineConfig } from 'vite'
import react from '@vitejs/plugin-react'
import svgr from 'vite-plugin-svgr'
import * as path from 'path'

export default defineConfig({
  plugins: [
    react(),
    svgr(),
  ],
  resolve: {
    alias: [{ find: '@', replacement: path.resolve(__dirname, 'src') }],
  },
  server: {
    host: '0.0.0.0',
    port: 5173,
    strictPort: true,
    hmr: {
      protocol: 'ws',
      port: 5174,
      clientPort: 5174,
      host: 'localhost',
      path: '/hmr/',
    },
    proxy: {
      '/socket.io': {
        target: 'https://dev.api.aura.witapps.us',
        changeOrigin: true,
        ws: true
      }
    }
  },
  envDir: "./environments",
  envPrefix: "AURA_"
})
